:host>*{
  display: flex;
  flex-flow: column;
  direction: ltr;
}

p{
  align-self: center;
}

mat-slider {
  width: 80%;
  align-self: center;
  --mdc-slider-handle-color: #000000;
  --mdc-slider-focus-handle-color: #000000;
  --mdc-slider-active-track-color: transparent;

  ::ng-deep.mdc-slider__track--inactive {
    background-color: transparent;
    opacity: 1;
  }
}

.nodeColorPicker{
  mat-slider {
    ::ng-deep.mdc-slider__track--inactive {
      background-image: linear-gradient(45deg, #909090, #797979, #000);
    }
  }
}
.linkColorPicker{
  mat-slider {
    ::ng-deep.mdc-slider__track--inactive {
      background-image: linear-gradient(45deg, #2dc937, #99c140, #e7b416, #db7b2b, #cc3232);
    }
  }
}

